project(pogo_preferences)

include(GNUInstallDirs)

set(PREFS_OPT cmake_common_target.opt
              common_target.opt)

foreach(input ${PREFS_OPT})
  install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${input}
          DESTINATION ${CMAKE_INSTALL_DATADIR}/pogo/preferences)
endforeach()

set(PREFS_IN cmake_tango.opt
             Pogo.site_properties
             tango.opt)

foreach(input ${PREFS_IN})
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${input}.in ${input} @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${input}
          DESTINATION ${CMAKE_INSTALL_DATADIR}/pogo/preferences)
endforeach()
